#!/usr/local/bin/perl -w

@array = (1, 2, 3);
$value = $array[2]; # note the $array...
$index = 1;
$array[$index] = $value; # note the $array...
# @array is now (1, 3, 3)
print("@array\n");

@array = (1, 2, 3);
@slice = @array[0,1];       # @slice gets (1, 2)
@array[0,1] = @array[1,0];  # swap first two array elements
@array[0,1] = @slice;       # first two elements set back to
print("@array\n");                                  #   starting values

@kids = (qw(george elroy jane judy))[1,3];
# @kids is ("elroy", "judy")

$q = $kids[6];  # returns undef
print $q, "\n";

$a = 2;
($daughter) = (qw(george elroy jane judy))[$a+1];
# $daugher is now "judy"
print("@kids\n$daughter\n");

@jetsons = qw(george elroy jane judy);
@reorder = (0, 2, 3, 1);
@ordered = @jetsons[@reorder];

print("@ordered\n");

@grows = (1, 2, 3);
$grows[5] = 42;
print("@grows\n");

@strings = ("first", "second", "last");

$size = @strings;       # returns size of array

print("There are $size elements in the \@strings array.\n");
print("The last element of the array is $strings[$size - 1].\n");
print("The last element of the array is $strings[$#strings].\n");
print("The last element of the array is $strings[-1].\n");

