#!/usr/local/bin/perl -w

@list = (1, 2, 3);
$newvalue = 4;
push(@list, $newvalue, 5); # appends values to the rhs of the list
# @list is now (1, 2, 3, 4, 5)
print("@list\n");   

$getvalue = pop(@list); # remove the rightmost (last) element 
                        # of the array
# @list is now (1, 2, 3, 4) ; $getvalue is 5      
print("@list\n$getvalue\n");   

@list = (1, 2, 3);
$newvalue = 4;
unshift(@list, $newvalue, 5); # prepends values to lhs
# @list is now (4, 5, 1, 2, 3)
print("@list\n");   

$getvalue = shift(@list); # remove the leftmost (first) element 
                          # of the array
# @list is now (5, 1, 2, 3) ; $getvalue is 4     
print("@list\n$getvalue\n");   

unshift(@list, 10);
unshift(@list, 11);
print("@list\n");   
shift(@list);
shift(@list);
unshift(@list, 10, 11);
print("@list\n");   

@lines = ("hello\n", "world\n",  "hi",  "there");
chomp(@lines);
print("@lines\n");   
